function[nuEcran] = afc(tableau, lblObs, lblVar, nObs, nVar, nLblObs, nuEcran, methode, lst, nomFic, titre, flagLangue);

    getf('val2str.sci');
    getf('traitDonnees.sci');
    getf('plotadd.sci');
    getf('ficcr.sci');

//  Analyse Factorielle des Correspondances

    lstPs = nomFic+'.ps';

//  Prtraitement des donnes

    [clas, nCl, X, R, XI, XJ, CV, A] = traitDonnees(tableau, nObs, nVar, methode, 0);

//  Calcul des valeurs et vecteurs propres

    [valProp, vectProp, info, lblValProp, lblInfo] = valvecP(R, nVar, methode);

    [valP] = zeros(nVar-1,1);
    [vectP] = zeros(nVar,nVar-1);
    for i = 1:nVar-1;
        valP(i) = valProp(i);
        vectP(:,i) = vectProp(:,i);
    end;

//  Reconstitution du nuage
//  Y pour les observations et Z pour les variables

    cJ = diag(XJ);
    cJJ = diag(sqrt(XJ));
    cI = diag(XI);
    cL = diag(valP);
    cLL = diag(sqrt(valP));
    X = (1/cI) * X;
    Z = (1/cJJ) * vectP;
    Z = Z * cL;     //  Autre version  Z = Z * cLL
    Y = X * Z;
    Y = Y * (1/cLL);

//  Contributions absolues
//  YC pour les obervations, ZC pour les variables

    YR = Y .* Y;
    YC = cI * YR;
    YC = YC * (1/cL);
    ZR = Z .* Z;
    ZC = cJ * ZR;
    ZC = ZC * (1/cL);

// Contribution relatives
// YR pour les observations, ZR pour les variables

    YR = (1 / (diag((1/cI) * diag(A*A')))) * YR;
    ZR = (1 / (diag((1/cJ) * diag(A'*A)))) * ZR;

//  Graphiques

    nuEcran = plotAdd(Y,Z,clas,lblVar,lblObs,lblValProp,lblInfo,nObs,nVar,nCl,nuEcran,lstPs,methode,flagLangue,titre);

//  Ecriture du fichier de compte-rendu

    CV = 1;
    ple = ficCR(Y,Z,clas,XI,CV,R,valProp,vectProp,info,nObs,nVar,lblVar,lblObs,lblValProp,lblInfo,lst,methode,YC,ZC,YR,ZR);
    
endfunction      
    
